<script lang="ts">
    import { createEventDispatcher } from 'svelte';
    import { trigger_elm } from '$lib/ui/Store.js'

    import Icon from 'svelte-awesome'
    import chevronDown from 'svelte-awesome/icons/chevronDown';
    import chevronRight from 'svelte-awesome/icons/chevronRight';

    export let label: string;

    const dispatch = createEventDispatcher();
    let collapsed: boolean = true;


    function on_click() {
        collapsed = !collapsed;
        dispatch('message', { value: collapsed});
    }
</script>

<button class="collapsible" bind:this={$trigger_elm} on:click="{on_click}">
    {#if collapsed == true}
        <Icon data={chevronRight}/>
    {:else}
        <Icon data={chevronDown}/>
    {/if}
    {label}
</button>

<style>
    .collapsible {
        background-color: #f6f6f6;
        color: #2A2459;
        cursor: pointer;
        padding: 18px;
        width: 100%;
        border: none;
        text-align: left;
        outline: none;
        font-size: 18px;
}
</style>